Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.collection
Class DynamicSortedSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection<E>
              org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicSet<E>
                  org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicSortedSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>, SortedSet<E>

    public class DynamicSortedSet<E>

extends DynamicSet<E>
implements SortedSet<E>

Dynamic sorted set. The elements added at runtime, while preserve their natural order which means

Author:
  Costin Leau

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`DynamicCollection.DynamicIterator`

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`iterators, iteratorsLock, storage`

Constructor Summary
`DynamicSortedSet()`
`DynamicSortedSet(Collection<? extends E> c)`
`DynamicSortedSet(Comparator<? super E> c)`
`DynamicSortedSet(int size)`
`DynamicSortedSet(SortedSet<E> ss)`

Method Summary
`boolean` | `add(E o)`
`Comparator<? super E>` | `comparator()`
`E` | `first()`
`SortedSet<E>` | `headSet(Object toElement)`
`E` | `last()`
`boolean` | `remove(Object o)`
`SortedSet<E>` | `subSet(Object fromElement, Object toElement)`
`SortedSet<E>` | `tailSet(Object fromElement)`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicSet
`addAll`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`add, clear, contains, containsAll, indexOf, isEmpty, iterator, remove, size, toArray, toArray, toString`

Methods inherited from class java.util.AbstractCollection
`removeAll, retainAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### DynamicSortedSet

    public DynamicSortedSet()

### DynamicSortedSet

    public DynamicSortedSet(Collection<? extends E> c)

### DynamicSortedSet

    public DynamicSortedSet(int size)

### DynamicSortedSet

    public DynamicSortedSet(SortedSet<E> ss)

### DynamicSortedSet

    public DynamicSortedSet(Comparator<? super E> c)

Method Detail

### comparator

    public Comparator<? super E> comparator()

  Specified by:
    `comparator` in interface `SortedSet<E>`

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `Set<E>`
  Overrides:
    `add` in class `DynamicSet<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `Set<E>`
  Overrides:
    `remove` in class `DynamicCollection<E>`

### first

    public E first()

  Specified by:
    `first` in interface `SortedSet<E>`

### headSet

    public SortedSet<E> headSet(Object toElement)

  Specified by:
    `headSet` in interface `SortedSet<E>`

### last

    public E last()

  Specified by:
    `last` in interface `SortedSet<E>`

### subSet

    public SortedSet<E> subSet(Object fromElement,
                               Object toElement)

  Specified by:
    `subSet` in interface `SortedSet<E>`

### tailSet

    public SortedSet<E> tailSet(Object fromElement)

  Specified by:
    `tailSet` in interface `SortedSet<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.